#! /usr/bin/env python

import sys
import os

if len(sys.argv) == 1:
    sys.exit("usage: {} <dir> [dir [dir [...]]]".format(os.path.basename(sys.argv[0])))
for dirpath in sys.argv[1:]:
    for fpath in os.listdir(dirpath):
        if not fpath.endswith("performance.csv"):
            continue
        ffpath = os.path.join(dirpath, fpath)
        fsrc = open(ffpath, "r")
        line1 = fsrc.readline()
        if line1.startswith("constrained") or line1.startswith("unconstrained"):
            print(os.path.join(dirpath, fpath))
